Subject: Re: ANNOUNCE: igb: Intel 82575 Gigabit Ethernet driver (PCI-Express)

From: Christoph Hellwig <[email-masked]>
Date: Fri, 20 Jul 2007 08:33:47 +0100

On Thu, Jul 19, 2007 at 04:52:02PM -0700, Kok, Auke wrote:
> Why don't you accept it now and allow us the time to work on this in the 
> coming period? The driver works, performs better than all 8257x hardware 
> and uses less CPU utilization. That must be good for everyone. Keeping it 
> outside of the linux tree is just going to postpone testing the 
> non-internal API parts.

Well, these useless abstractions are really annoying and nothing we allow
into other drivers either.  So I'd be miuch happier if you stripped them
out quickly.  It's not like it's a whole lot of work.